JIRA FishEye-Stash Plugin compatibility

Redirection notice

This page will redirect to #notfound .

Some aspects of Atlassian JIRA's support for Stash is built into the FishEye/Stash Plugin that is bundled with JIRA. The plugin allows you to see all of your code changes in one place, even if you're running multiple Atlassian FishEye and Stash servers.

The information on this page applies to Stash vesions 2.1 and later.

On this page:

Supported JIRA versions

If you're using a version of JIRA earlier than 5.0.4 you may need to upgrade the FishEye/Stash plugin in JIRA to get support for Atlassian Stash.

JIRA Version Compatibility FishEye/Stash Plugin URL
5.0.4+ Works straight out of the box! NA
5.0-5.0.3 Requires JIRA FishEye/Stash Plugin 5.0.4.1 https://maven.atlassian.com/content/repositories/atlassian-contrib/com/atlassian/jira/plugins/jira-fisheye-plugin/5.0.4.1/jira-fisheye-plugin-5.0.4.1.jar
Limited support for JIRA 4.4.x and earlier
JIRA 4.3+ allows for showing commits associated with issues in JIRA. However, viewing issues within Stash is not supported for JIRA 4.4.x and earlier.
4.4.x Requires JIRA FishEye/Stash Plugin 3.4.12 https://maven.atlassian.com/content/repositories/atlassian-contrib/com/atlassian/jira/plugins/jira-fisheye-plugin/3.4.12/jira-fisheye-plugin-3.4.12.jar
4.3.x Requires JIRA FishEye/Stash Plugin 3.1.8 https://maven.atlassian.com/contrib/com/atlassian/jira/plugins/jira-fisheye-plugin/3.1.8/jira-fisheye-plugin-3.1.8.jar
Earlier versions JIRA-to-Stash integration is unsupported NA

Plugin upgrade guide

To upgrade the FishEye/Stash Plugin, copy the link from the table above that matches your JIRA version. Then navigate in JIRA to Administration > Plugins.

Next, select the Install Plugins tab and click Upload Plugin.

Now paste the URL copied from the table above into the From this URL field, and click Upload.

You should see that the plugin is installed. Now you can continue integrating Atlassian Stash with your JIRA server. See JIRA integration for details.

JIRA 4.3.x Upgrade Note

When upgrading the plugin in JIRA 4.3.x you may see a "zip file closed" error message in the logs. This can be ignored. See "IllegalStateException: zip file closed" when upgrading JIRA FishEye/Stash Plugin in JIRA 4.3 for more details.

Was this helpful?

Thanks for your feedback!

Why was this unhelpful?

Have a question about this article?

See questions about this article

Powered by Confluence and Scroll Viewport